#
# spec file for package growpart
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           growpart
Version:        0.29
Release:        10.1
Summary:        Grow a partition
License:        GPL-3.0
Group:          System/Management
Url:            http://launchpad.net/cloud-utils
Source0:        cloud-utils-%{version}.tar.gz
Patch:          licenseGPLv3.patch
Requires:       util-linux
%if 0%{?suse_version} && 0%{?suse_version} >= 1220
Requires:       gptfdisk
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Grow a partition. This is predominantly useful in the cloud when an instance
is started with a larger root partition than the image size. The root
partition can be expanded to take up the additional size.

%prep
%setup -q -n cloud-utils-%{version}
%patch -p1

%build

%install
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{_mandir}/man1
cp bin/growpart %{buildroot}/%{_sbindir}
cp man/growpart.1 %{buildroot}/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE-GPLv3
%{_sbindir}/growpart
%{_mandir}/man1/*

%changelog
* Tue Sep 13 2016 rjschwei@suse.com
- Update to version 0.29 (bsc#998378)
  + fix use of partx for newer util-linux versions (LP: #1587971)
    [Lars Kellogg-Stedman]
  + fix some issues in error path reporting
  + capture output of 'partx --help' as older versions
    do not support that flag, and send output to stderr.
  + fix bug when growing partitions on disks > 2TB. (LP: #1259703)
  + run partx only on block devices (not files)
  + better --dry-run output for gpt disks, providing sgdisk command
    line that would be used.
  + support sfdisk >= 2.26, and support gpt partitions with sfdisk
* Tue Mar 18 2014 rschweikert@suse.com
- add patch licenseGPLv3.patch
  + no license file included in upstream release
    (https://bugs.launchpad.net/cloud-utils/+bug/1294338)
  + GPL v3 applies to growpart script, that is all we are distributing
    at the moment
- fix the Group, don't shout
* Mon Mar 17 2014 rschweikert@suse.com
- include in SLE 12 (FATE #315990, #315991, and 316167)
* Mon Mar 17 2014 rschweikert@suse.com
- Initial build
